Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000814Core InformUnderstandingpublic2011-12-12 16:052014-05-07 07:34
ReporterEmacsUser 
Assigned Tograham 
PrioritynormalSeverityseriousReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSMac OS XOS Version10.5
Product Version6G60 
Target VersionFixed in Version6L02 
Summary0000814: "[someone]" passed as a phrase argument causes compiler to fail with confusing error message
DescriptionThe attached source provokes

- - - -
Problem. You wrote 'foo "[someone]"' : but the '[text]' token is not allowed with 'matches' or in table columns, as it is just too complicated to sort out: a '[text]' is supposed to extract a snippet from the player's command, but here we already have a snippet, and don't want to snip it further.
 See the manual: 16.1 > Understand
- - - -
Minimal Source Text To Reproduce
There is a room.
To foo (T - a topic):
	do nothing.
To bar:
	foo "[someone]".
Additional InformationThe workaround in 0000813 (from which this bug is derived) does not apply here.
TagsNo tags attached.
Effect(serious) Compiler rejects valid code
Attached Files

- Relationships

-  Notes
(0002330)
graham (administrator)
2014-01-19 13:29

An overzealous error message; it treated all of the special tokens as if they were "[text]". Fixed.

- Issue History
Date Modified Username Field Change
2011-12-12 16:05 EmacsUser New Issue
2011-12-12 16:05 EmacsUser Issue generated from 0000813
2012-06-20 08:46 curiousdannii Status new => confirmed
2014-01-19 13:29 graham Note Added: 0002330
2014-01-19 13:29 graham Status confirmed => resolved
2014-01-19 13:29 graham Resolution open => fixed
2014-01-19 13:29 graham Assigned To => graham
2014-05-07 07:34 jmcgrew Fixed in Version => 6L02
2014-05-07 07:34 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker